Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions
sha2ossl.h File Reference
`#include <stddef.h>`
`#include <openssl/sha.h>`
Include dependency graph for sha2ossl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | SHA256_BLOCK_LENGTH SHA256_CBLOCK
#define | SHA384_BLOCK_LENGTH SHA512_CBLOCK
#define | SHA512_BLOCK_LENGTH SHA512_CBLOCK

## Typedefs
typedef SHA512_CTX | SHA384_CTX

## Functions
void | SHA256_Finish (SHA256_CTX *ctx, char *buf)
void | SHA384_Finish (SHA384_CTX *ctx, char *buf)
void | SHA512_Finish (SHA512_CTX *ctx, char *buf)

## Macro Definition Documentation

#define SHA256_BLOCK_LENGTH SHA256_CBLOCK

Definition at line 7 of file sha2ossl.h.

#define SHA384_BLOCK_LENGTH SHA512_CBLOCK

Definition at line 8 of file sha2ossl.h.

#define SHA512_BLOCK_LENGTH SHA512_CBLOCK

Definition at line 9 of file sha2ossl.h.

## Typedef Documentation

typedef SHA512_CTX SHA384_CTX

Definition at line 11 of file sha2ossl.h.

## Function Documentation

void SHA256_Finish | ( | SHA256_CTX * | ctx,
|  | char * | buf
| ) |  |

void SHA384_Finish | ( | SHA384_CTX * | ctx,
|  | char * | buf
| ) |  |

void SHA512_Finish | ( | SHA512_CTX * | ctx,
|  | char * | buf
| ) |  |